Question

openspan.runtime.exe has stopped working

Dear Team,

When i start debug the solution, I am getting the warning 'Openspan.runtime.exe' has stopped working.

Please refer the attached img.

**Moderation Team has archived post**

This post has been archived for educational purposes. Contents and links will no longer be updated. If you have the same/similar question, please write a new post.

Comments

Keep up to date on this post and subscribe to comments

Pega
April 4, 2017 - 8:59am

I see you are using the Excel connector.  Do you have the correct version of Office enabled in your RuntimeConfig.xml?

Find this section and make sure it matches your version.

April 11, 2017 - 11:03pm
Response to jeffbadger

Hi Jeff, 

Here I have created only the windows form. I m getting the attached error.

System info - I am using Windows10 and office2013/office2016.

Also, attached the runtime.xml file

April 12, 2017 - 3:00pm
Response to Siva.G

Can you pls help me on this

April 17, 2017 - 6:19am
Response to Siva.G

Hi,

Do you able to resolve this? If not can you share your project file.

You can clear the build, zip it and share (if possible)

April 14, 2017 - 2:13am
Response to jeffbadger

Dear all,

Can anyone help me on this.. I m getting error 'Openspan has stoppe running' while debug the solutions. 

Am using HP laptop, Windows10, Office13/16.

Pega
April 14, 2017 - 10:12am

I believe you will need to contact support to get someone to look at your machine. Since this is a specific issue to you, it probably cannot be resolved here. If possible, you can attach your RuntimeLog.txt with All Categories set to verbose, and I can take a look to see if there is anything obvious, however it sounds to me like an environmental issue if Runtime is crashing with only a windows form in your project.

May 22, 2017 - 2:47am

Hello,

I was using the application and suddenly it through me out of the application; on checking the event log I find the following:

-------------------------

The program OpenSpan.Runtime.exe version 7.1.59.0 stopped interacting with Windows and was closed. To see if more information about the problem is available, check the problem history in the Action Center control panel.
Process ID: 17d0
Start Time: 01d2d13dc76a8e5f
Termination Time: 0
Application Path: C:\Program Files (x86)\OpenSpan\OpenSpan Runtime Enterprise\OpenSpan.Runtime.exe
Report Id: 4699cbd3-3d34-11e7-873c-7c5cf81fd8f7

----------------------------------------------

Please advice.

Pega
May 22, 2017 - 8:34am

You would need to make sure that runtime logging is turned on and then examine the Runtimelog.txt to get meaningful information.  The event log information is only reporting what you already reported, but does not help to diagnose.

May 23, 2017 - 6:59am
Response to jeffbadger

How do I turn on my application runtime logging?

I do it as shown in the image below:-

at the moment logging is for 'warning' should I change it to 'Verbose'?

Also, I would get my logs in the 'Roaming' folder right?

 

Pega
May 23, 2017 - 10:06am

Be sure to enable to FilePublisher. Once done, change All Categories to Verbose. The log file will be generated in %AppDaa%\OpenSpan and called RuntimeLog.txt by default. The UI is slightly different for changing these settings between Runtime and Studio but the changes you make are the same. You do not need to change anything on the tracing tab as that is for advanced diagnostic logging used by our engineers.

May 24, 2017 - 6:46am
Response to tsasnett

Ok....I'll do that thanks; 

Actually, I have another problem as well:

Recently we had a security change in the past month for TLS encryption protocol:

After which a colleague has run some reports that indicate OpenSpan(application) users are still using TLS1.0 to connect to Connex.

The change was actually rolled out to all machines.

I've attached the report image; please advice what could be the reason? and if not the reason how can I find what(component etc) is pointing to the older version of TLS?

On checking my code I have no web link pointing to salesforce but I have one component 'DataHub' that is a SalesForce component and when I check the component version tag it gives

"<Component Version = "1.0">" this is present in all the 'OS' files within the 'Adapter' folder.

It would be very kind of you to help me with this concern.

May 24, 2017 - 5:42am
Response to upasnaa1

Also one thing to be noted here is that all the file within the 'Adapter' folder for the automation does not have the 'SaleForceQuery' in all of them(files/automations)

*DataHub that I'm referring to is a 'SalesForce' query in the toolbox.

Mod
May 24, 2017 - 6:47am
Response to upasnaa1

Hello!

Since this is a new query, we belive it warrants a new post :) Here's the new post we created for you: Security change impact error on TLS encryption protocol - How can I find what (component etc) is pointing to the older version of TLS?

Please update it for any additional inputs and continue the discussion!

Thank you,

Lochana | Community Moderator | Pegasystems Inc.

May 24, 2017 - 7:56am
Response to Lochan_DV

Thanks, Lochan!...Will update the new post